Skip to main content
POST
/
cURL
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getCompressedBalanceByOwner",
  "params": {
    "owner": "11111113R2cuenjG5nFubqX9Wzuukdin2YfGQVzu5"
  }
}
'
import requests

url = "https://mainnet.helius-rpc.com/?api-key="

payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getCompressedBalanceByOwner",
"params": { "owner": "11111113R2cuenjG5nFubqX9Wzuukdin2YfGQVzu5" }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getCompressedBalanceByOwner',
params: {owner: '11111113R2cuenjG5nFubqX9Wzuukdin2YfGQVzu5'}
})
};

fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "context": {
    "slot": 100
  },
  "value": 100
}
{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}
{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}

Request Parameters

owner
string
default:"11111113R2cuenjG5nFubqX9Wzuukdin2YfGQVzu5"
required
A Solana public key represented as a base58 string.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The version of the JSON-RPC protocol.

Available options:
2.0
id
string
default:1
required

An ID to identify the request.

method
enum<string>
default:getCompressedBalanceByOwner
required

The name of the method to invoke.

Available options:
getCompressedBalanceByOwner
params
object
required

Response

Successfully retrieved compressed balance by owner from the Solana blockchain

context
object
required
value
integer
default:100
required
Example:

100